d = int(input())
m = int(input())
y = int(input())
hh = int(input())
mm = int(input())
if d % 2 == 0 and (hh % 2 != 0 or mm != 0):
    print("Casper")
if d % 2 != 0:
    print("Slimer")
print("Beetlejuice")
if "7" in str(d) or "7" in str(y) or "7" in str(hh) or "6" in str(hh) and mm != 0:
    print("Ow")
if d % 3 == 0 and (hh % 3 == 0 or mm != 0 and hh % 3 == 2):
    print("Peeves")
if m == 12 and d >= 24 or m == 1 and d <= 7:
    print("Christmas")
